Bug 23331 - Bring flightgear 2018.2.2 to mageia 6
Summary: Bring flightgear 2018.2.2 to mageia 6
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-19 08:48 CEST by José Jorge
Modified: 2018-08-16 21:48 CEST (History)
2 users (show)

See Also:
Source RPM: flightgear simgear flightgear-data
CVE:
Status comment:


Attachments

Description José Jorge 2018-07-19 08:48:31 CEST
Flightgear has released version 2018.2.1 in May. We provide it as an update as this is an online played simulation.
Comment 1 José Jorge 2018-07-19 09:38:31 CEST
Bugfix version 2018.2.2 in updates testing :

RPMS:
flightgear-2018.2.2-1.mga6.x86_64.rpm
flightgear-data-2018.2.2-1.mga6.noarch.rpm
simgear-devel-2018.2.2-1.mga6.x86_64.rpm
simgear-2018.2.2-1.mga6.x86_64.rpm

SRPMS:
flightgear-2018.2.2-1.mga6.srpm
flightgear-data-2018.2.2-1.mga6.srpm
simgear-2018.2.2-1.mga6.srpm

Suggested advisory :

Flightgear project provides quarterly updates. This 2018.2.2 version brings as usual lots of fixes and improvements.

Ref:
http://wiki.flightgear.org/Changelog_2018.2
http://wiki.flightgear.org/Changelog_2018.1

Status: NEW => ASSIGNED

Comment 2 José Jorge 2018-07-27 14:40:26 CEST
I have made a rebuild to change the build mode from debug to release, and enable both Gdal/Ogr and OpenMP. I should give a better framarate.

So both simgear and flightgear are now version 2018.2.2-2.

I have tested in both i586 and x86_64, all ok.

Summary: Bring latest flightgear to mageia => Bring flightgear 2018.2.2 to mageia 6
Source RPM: flightgear => flightgear simgear flightgear-data
Whiteboard: (none) => MGA6-64-OK MGA6-32-OK
Assignee: lists.jjorge => qa-bugs
CC: (none) => lists.jjorge

Comment 3 José Jorge 2018-07-31 10:38:44 CEST
The new build fails in 32 bit.

Whiteboard: MGA6-64-OK MGA6-32-OK => MGA6-64-OK

Comment 4 William Kenney 2018-08-16 21:47:28 CEST
José: I do not recommend using Flightgear in 32-bit

CC: (none) => wilcal.int

Comment 5 William Kenney 2018-08-16 21:48:01 CEST
IMO if it works in 64-bit then it should be validated

Note You need to log in before you can comment on or make changes to this bug.